Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infodesire.infobit.servlet
Class InfobitServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--com.infodesire.infobit.servlet.InfobitServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class InfobitServlet
extends javax.servlet.http.HttpServlet

servlet capable to render infobits. delegates work to renderer. output is intendet to be transformed by xslt filter. Accepts 2 parameters: "poolName" defined infobit pool name ( from pool configured in web application ). "binaryPrefix" tells which servlet is going to serve out our binary content.

Version:
  $Revision: 1.8 $
Author:
  konstantin
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `BINARY_PREFIX` parameter specifying prefix for binary infobit servlet shall start with / but without trailing one.
`static java.lang.String` | `BINARY_PREFIX_NAME` parameter to pass to context for binary prefix
`static java.lang.String` | `CONTENT_TYPE` Description of the Field
`static java.lang.String` | `DEFAULT_CONTENT_TYPE` The default content type for the response
`static java.lang.String` | `DEFAULT_OUTPUT_ENCODING` Default encoding for the output stream
`static java.lang.String` | `FORMAT_TOOL` reference name in context for format tool
`static java.lang.String` | `POOL_NAME` parameter specifying which infobit pool is to be used
`static java.lang.String` | `SESSION_NAME` parameter to pass to context for binary prefix

Constructor Summary
`InfobitServlet()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handles GET - calls doRequest()
`void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handle a POST request - calls doRequest()
`protected void` | `doRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handles with both GET and POST requests.
`void` | `init(javax.servlet.ServletConfig config)` initialize servlet for infobit rendering
`java.util.Map` | `setupContext(javax.servlet.http.HttpServletRequest request)` setup parameters from request.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTENT_TYPE

    public static final java.lang.String CONTENT_TYPE

  Description of the Field

  See Also:
    Constant Field Values

### DEFAULT_CONTENT_TYPE

    public static final java.lang.String DEFAULT_CONTENT_TYPE

  The default content type for the response

  See Also:
    Constant Field Values

### DEFAULT_OUTPUT_ENCODING

    public static final java.lang.String DEFAULT_OUTPUT_ENCODING

  Default encoding for the output stream

  See Also:
    Constant Field Values

### POOL_NAME

    public static final java.lang.String POOL_NAME

  parameter specifying which infobit pool is to be used

  See Also:
    Constant Field Values

### BINARY_PREFIX

    public static final java.lang.String BINARY_PREFIX

  parameter specifying prefix for binary infobit servlet shall start with / but without trailing one.

  See Also:
    Constant Field Values

### BINARY_PREFIX_NAME

    public static final java.lang.String BINARY_PREFIX_NAME

  parameter to pass to context for binary prefix

  See Also:
    Constant Field Values

### SESSION_NAME

    public static final java.lang.String SESSION_NAME

  parameter to pass to context for binary prefix

  See Also:
    Constant Field Values

### FORMAT_TOOL

    public static final java.lang.String FORMAT_TOOL

  reference name in context for format tool

  See Also:
    Constant Field Values

Constructor Detail

### InfobitServlet

    public InfobitServlet()

Method Detail

### setupContext

    public java.util.Map setupContext(javax.servlet.http.HttpServletRequest request)

  setup parameters from request. shall be overriden by implementing classes in case they wish something special.

  Parameters:
    `request` - Description of Parameter
  Returns:
    Description of the Returned Value

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  initialize servlet for infobit rendering

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Parameters:
    `config` - Description of Parameter
  Throws:
    `javax.servlet.ServletException` - Description of Exception

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Handles GET - calls doRequest()

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - Description of Parameter
    `response` - Description of Parameter
  Throws:
    `javax.servlet.ServletException` - Description of Exception
    `java.io.IOException` - Description of Exception

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Handle a POST request - calls doRequest()

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - Description of Parameter
    `response` - Description of Parameter
  Throws:
    `javax.servlet.ServletException` - Description of Exception
    `java.io.IOException` - Description of Exception

### doRequest

    protected void doRequest(javax.servlet.http.HttpServletRequest request,
                             javax.servlet.http.HttpServletResponse response)
                      throws javax.servlet.ServletException,
                             java.io.IOException

  Handles with both GET and POST requests. we just render infobit out using renderer

  Parameters:
    `request` - HttpServletRequest object containing client request
    `response` - HttpServletResponse object for the response
  Throws:
    `javax.servlet.ServletException` - Description of Exception
    `java.io.IOException` - Description of Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Information Desire GmbH. All Rights Reserved.